Laravel7 在最新 Homestead 下运行提示 500 错误!
发布时间:2020-10-27 13:34:57 浏览:253

 

laravel7在最新homestead下运行提示500错误!


这个是配置

 

laravel7在最新homestead下运行提示500错误!


我新建了一个 info.php 直接访问没有问题

 

laravel7在最新homestead下运行提示500错误!


这里显示的是 7.1
但我用的 php -v 显示的是 7.4

 

laravel7在最新homestead下运行提示500错误!


说明 web 服务这个应该是没有问题。
网上找资料让看看到 storage 的日志文件

 

laravel7在最新homestead下运行提示500错误!


local.ERROR: Declaration of Carbon\Translator::setLocale($locale) must be compatible with Symfony\Contracts\Translation\LocaleAwareInterface::setLocale(string $locale) {“exception”:”[object]
提示这个错误,有人说是版本原因,我在 homestead 里改成了 7.4 还是不行,这下就不明白了